%% Plot
% Rotation of -20 degrees of the basin-fixed reference system 
% Hs = 1.25 m


% Case 1
% PD controller in surge and sway and P-controller i yaw
% Kp_x = 0.35, Kd_x = 9
% Kp_y = 0.23, Kd_y = 4
% Kp_psi = 0.8
%comma2point_overwrite('Basin_m20_kp08_hs125.txt')
%All_data = dlmread('Basin_m20_kp08_hs125.txt');

% Case 2
% Only controller for yaw, Kp_psi = 0.2
%comma2point_overwrite('Hs125_basin_m20.txt')
All_data = dlmread('Hs125_basin_m20.txt');

% Dagens poisjon
X = 1565+11;
Y = -530;

x_m = (All_data(:,1)-X)/1000;
y_m = (All_data(:,2)-Y)/1000;
psi_m = All_data(:,3);

psi_error = All_data(:,4);
x_error = All_data(:,5);
y_error = All_data(:,6);

time_abs = All_data(:,7);
time = 0:0.01:((length(time_abs)*0.01)-0.01);

tau_com_psi = All_data(:,8);
tau_com_x = All_data(:,9);
tau_com_y = All_data(:,10);

tau_psi = All_data(:,11);
tau_surge = All_data(:,12);
tau_sway = All_data(:,13);

psi_ref = All_data(:,14);
x_ref = (All_data(:,15)-X)/1000;
y_ref = (All_data(:,16)-Y)/1000;

basin_rot = All_data(:,17);
heading = All_data(:,18);

% Plot
% Case 1
% width2=7.8;
% height2=6.8;
% f2 = figure('Units','centimeters','Position',[0,0,width2,height2],'PaperPositionMode','auto');
% plot(time(1:100001),heading(1:100001),time(1:100001),psi_ref(1:100001));
% grid on;
% legend('\psi','\psi_{d}');
% xlabel('Time [s]','interpreter','latex');
% ylabel('$\psi$ [deg]','interpreter','latex');
% axis([0 1000 -10 40]);
% set(gca, 'TickLabelInterpreter','latex');
% set(f2, 'PaperSize',[width2, height2]);
% print(f2, 'Basin_all', '-dpdf');

% Case 2
width2=7.8;
height2=6.8;
f2 = figure('Units','centimeters','Position',[0,0,width2,height2],'PaperPositionMode','auto');
plot(time(1:100001),heading(1:100001),time(1:100001),psi_ref(1:100001));
grid on;
legend('\psi','\psi_{d}');
xlabel('Time [s]','interpreter','latex');
ylabel('$\psi$ [deg]','interpreter','latex');
axis([0 1000 -10 40]);
set(gca, 'TickLabelInterpreter','latex');
set(f2, 'PaperSize',[width2, height2]);
print(f2, 'Basin_onlyyaw', '-dpdf');
