load CSAD_model.mat;
load CSAD_modelABC.mat;

% Controller gains
mass = vesselABC.MRB([1,2,6],[1,2,6])+vesselABC.MA([1,2,6],[1,2,6]);
damp = vessel.Bv([1,2,6],[1,2,6]);
Gm0 = 1.053; %1.482; % stifness from mooring in surge and sway

yaw_mass = vesselABC.MRB(6,6);

T_0 = 30; %120 (MC-lab); %40; fungerer             % 80-150 s
Omega_0 = (2*pi)/T_0;
zeta = 0.7; 
T = 10/Omega_0; %20; %20/sqrt(90);                 % 10-20 s

% Surge with damping
Kp1 = (mass(1,1)*(Omega_0^2)) - Gm0;
Kd1 = (2*mass(1,1)*zeta*Omega_0) - damp(1,1);

% Surge without damping
Kp11 = (mass(1,1)*(Omega_0^2))- Gm0;
Kd11 = (2*mass(1,1)*zeta*Omega_0);
Ki11 = Kp11/T;

% Sway with damping
Kp2 = (mass(2,2)*(Omega_0^2)) - Gm0;
Kd2 = (2*mass(2,2)*zeta*Omega_0) - damp(2,2);

% Sway without damping
Kp22 = (mass(2,2)*(Omega_0^2))- Gm0;
Kd22 = (2*mass(2,2)*zeta*Omega_0);
Ki22 = Kp22/T;

%Yaw with damping
Kp3 = (mass(3,3)*(Omega_0^2));
Kd3 = (2*mass(3,3)*zeta*Omega_0) - damp(3,3);
Ki3 = Kp3/T;

%Yaw without damping
Kp33 = (mass(3,3)*(Omega_0^2));
Kd33 = (2*mass(3,3)*zeta*Omega_0);
Ki33 = Kp33/T;

%YAW FORENKLING
Kp_yaw = yaw_mass*(Omega_0^2);
Kd_yaw = 2*yaw_mass*zeta*Omega_0;
Ki_yaw = Kp33/T;

% Gain matrices without damping 
Kpwod = diag([Kp11 Kp22 Kp33])
Kdwod = diag([Kd11 Kd22 Kd33])
Kiwod = diag([Ki11 Ki22 Ki33])

% Gain matrices with damping 
Kpwd = diag([Kp1 Kp2 Kp3]);
Kdwd = diag([Kd1 Kd2 Kd3]);
Kiwd = diag([0 0 Ki3]);


